Description

I don't know why, but i can't reproduce this (

http://gis.stackexchange.com/questions/95498/how-to-bring-feature-selection-into-printing-composer) with QGis 2.4 and 2.6

It's very useful with QGis 2.2.

Can it be integrated as an option ?

History

#1 - 2014-12-30 01:23 AM - Giovanni Manghi

The map selection (not the identify highlighting as described in that stackexchange post) did show in the composer until qgis 2.2. I'm not sure why after it

stopped. Maybe is a bug but personally I don't think it is the right way anyway to bring in the composer highlighted features, that should be done using

vector symbology.

#2 - 2014-12-30 01:45 AM - Loïc BARTOLETTI

For some users (who using a GIS like a simple viewer) is really useful. He didn't want explore symbology.

#3 - 2014-12-30 02:02 AM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Open to Closed

Showing a selection in composer was a bug which was fixed for 2.4 - which is why that stackexchange method no longer works.

If you really want to show selections in composer outputs you can use the "isselected" function from the expressions+ plugin, and style your symbology to

change the actual rendering of features based on whether they are selected or not. That method works well with composer.

#4 - 2015-01-02 01:41 AM - Loïc BARTOLETTI

I hoped that this wasn't a bug but a feature

But, thank you for the solution "expression+". That works well.

#5 - 2015-06-29 07:27 AM - Hugo Mercier
http://gis.stackexchange.com/questions/95498/how-to-bring-feature-selection-into-printing-composer


Hi,

Nyall, Giovanni, could you develop on why this is not a good idea to allow displaying the current selection in a composer map ? (with an option, say)

I don't have a prior opinion, ... just to understand :)

#6 - 2015-06-30 11:04 AM - Giovanni Manghi

Hugo Mercier wrote:

Hi,

Nyall, Giovanni, could you develop on why this is not a good idea to allow displaying the current selection in a composer map ? (with an option, say)

I don't have a prior opinion, ... just to understand :)

Hi Hugo, mine just a personal (not strong) opinion/preference, just that :)
